Create API

Prev Next

Available in Classic and VPC

Create a new API.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
POST /api/v1/products/{product-id}/apis

Request headers

For information about the headers common to all API Gateway APIs, see API Gateway request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
product-id String Required Product ID associated with the API

Request syntax

The request syntax is as follows.

{
  "apiName" : "apiName",
  "apiDescription" : "apiDescription"
}

Request body

The following describes the request body.

Field Type Required Description
apiName String Required Name of the API to create
  • 1 to 20 characters, including English letters, numbers, and special characters "_" and "-"
apiDescription String Optional Description for the API to create
  • 0 - 300 characters

Request example

The following is a sample request.

curl -X POST 'https://apigateway.apigw.ntruss.com/api/v1/products/{product-id}/apis' \
--header 'Content-Type: application/json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--data '{
  "apiName" : "api-***",
  "apiDescription" : "api-*** Description"
}'

Response

The following describes the response format.

Response syntax

The response syntax is as follows.

{
    "api": {
        "productId": "productId",
        "apiId": "apiId",
        "apiName": "apiName",
        "apiDescription": "apiDescription",
        "tenantId": "tenantId",
        "modifier": "modifier",
        "modTime": "2024-05-13T01:58:13Z",
        "isDeleted": false,
        "domainCode": "PUB"
    }
}

Response status codes

For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.

Response example

The following is a sample response.

{
    "api": {
        "productId": "*****xn0bk",
        "apiId": "*****7kqa1",
        "apiName": "api-***",
        "apiDescription": "api-*** Description",
        "tenantId": "*****02f55ae4436913a6e2c65bab47c",
        "modifier": "d12c9fd0-****-****-****-246e96591a38",
        "modTime": "2024-05-13T01:58:13Z",
        "isDeleted": false,
        "domainCode": "PUB"
    }
}